#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#define int long long
using namespace std;
using namespace __gnu_pbds;
int find_number(int MAX) {
    int l = 1, r = MAX;
    while (true) {
        if (l >= r) break;
        int mid = (l + r + 1) >> 1;
        if (smaller(mid)) r = mid - 1;
        else l = mid;
    }
    return l;
}
/*signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n; cin >> n;
    cc_hash_table<int, int> mp;

    return 0;
}*/
